## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate cpufeatures

# compile and run tests only on supported architectures
%global supported_arches x86_64 aarch64 %{ix86}

Name:           rust-cpufeatures
Version:        0.2.5
Release:        %autorelease
Summary:        Lightweight runtime CPU feature detection

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cpufeatures
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop Apple- and Android-specific dependencies
Patch:          cpufeatures-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lightweight runtime CPU feature detection for x86/x86_64 and aarch64 with
no_std support and support for mobile targets including Android and iOS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%check
%ifarch %{supported_arches}
%cargo_test
%endif
%endif

%changelog
* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2120376

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.3-1
- Update to version 0.2.3; Fixes RHBZ#2119327

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.2-1
- Update to version 0.2.2; Fixes RHBZ#2065834

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 29 2021 Fabio Valentini <decathorpe@gmail.com> 0.2.1-1
- Update to version 0.2.1; Fixes RHBZ#1998507

* Tue Aug 24 2021 Fabio Valentini <decathorpe@gmail.com> 0.1.5-2
- Build everywhere, but compile and run tests only on supported arches

* Tue Jul 27 2021 Fabio Valentini <decathorpe@gmail.com> 0.1.5-1
- Initial import (#1981110)
